# Get document

Get document. See the OpenAPI-defined parameters, request body, and responses below.

Source: https://zild.ai/en-US/docs/api-reference/get-api-Document-id

GET `/Document/{id}`

Get document. See the OpenAPI-defined parameters, request body, and responses below.

**OpenAPI description:** Este endpoint retorna os detalhes de um documento especificado pelo identificador.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters



<table class="api-params"><thead><tr><th>Name</th><th>Location</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>path</code></td><td><code>integer · int32</code></td><td>Yes</td><td>—</td><td>—</td></tr></tbody></table>



## Request body

This operation does not accept a request body.

## Example request



```
curl --request GET \
  --url 'https://api.zild.ai/Document/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Sucesso ao retornar o documento</td><td><code>application/json</code> · <code>DocumentCreateResponseDto</code></td></tr></tbody></table>

**Example response (200):**



```
{
  "id": 0,
  "title": "string",
  "description": "string",
  "extractedText": "string",
  "analysisText": "string",
  "fileUrl": "string",
  "documentStatusId": 0,
  "documentType": 0,
  "createdAt": "2026-09-22T18:00:00Z",
  "analizedAt": "2026-09-22T18:00:00Z",
  "documentChecklistId": 0,
  "private": true
}
```



## Data models

`DocumentCreateResponseDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>title</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>description</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>extractedText</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>analysisText</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>fileUrl</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>documentStatusId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>documentType</code></td><td><code>DocumentType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>analizedAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>documentChecklistId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>private</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>

`DocumentType`0 = Image; 1 = Word; 2 = PDF; 3 = Text

`integer`
